Get Event
Retrieve a single Event by ID. Rate limit: 100 requests per minute per API key.
Authorization
apiKey Authorization<token>
Use format: users API-Key YOUR_API_KEY
In: header
Path Parameters
version*string
API version
Default
"2026-02"Value in
"2026-02"tenant*string
Tenant slug
id*string
Event ID
Query Parameters
select?
Field selection object. Example query: select[slug]=true&select[updatedAt]=true
populate?
Relationship population object. Example query: populate[media][url]=true
Response Body
application/json
application/json
curl -X GET "https://api.basker.app/partners/2026-02/string/events/string?select%5Bslug%5D=true&select%5BupdatedAt%5D=true&populate%5Bmedia%5D=%5Bobject+Object%5D"{
"id": "string",
"tessitura": {
"syncConnected": true,
"productionSeasonIds": {},
"performanceSyncType": "all",
"productionPerformances": {},
"keywords": {},
"syncToPublished": true
},
"spektrix": {
"syncConnected": true,
"eventId": "string",
"eventSyncType": "all",
"spektrixInstances": {},
"syncToPublished": true
},
"elevent": {
"syncConnected": true,
"eventId": "string",
"syncToPublished": true
},
"image": "string",
"showInSearch": true,
"url": "string",
"hideStartTime": true,
"slug": "string"
}Empty
{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Please retry later."
}